Summary:	The sar, iostat, and mpstat commands for system information reporting.
Name:		sysstat
Version:	4.0.5
Release:	1.3.0
Copyright:	GPL
Group:		Applications/System
Source0:	http://ftp.ibiblio.org/pub/Linux/system/status/%{name}-%{version}.tar.gz
Source1:	sysstat.crondaily
Source2:	sysstat.cronhourly
Source3:	sysstat.init
Patch0:		sysstat-4.0.5-CONFIG-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The sar, iostat, and mpstat commands for system information reporting.

%files
  %defattr(-,root,root)
  %doc CHANGES COPYING CREDITS README *lsm
  %attr(750,root,admin) %dir /var/log/sa
  %attr(750,root,admin) /usr/bin/iostat
  %attr(750,root,admin) /usr/bin/mpstat
  %attr(750,root,admin) /usr/bin/sar
  %attr(750,root,admin) %{_usr}/lib/sa
  %attr(0750,root,root) /etc/cron.daily/sysstat
  %attr(0750,root,root) /etc/cron.hourly/sysstat
  %attr(644,root,root) %doc %{_mandir}/man1/iostat.1*
  %attr(644,root,root) %doc %{_mandir}/man1/sar.1*
  %attr(644,root,root) %doc %{_mandir}/man1/mpstat.1*
  %attr(644,root,root) %doc %{_mandir}/man8/sadc.8*
  %attr(644,root,root) %doc %{_mandir}/man8/sa1.8*
  %attr(644,root,root) %doc %{_mandir}/man8/sa2.8*
  %attr(700,root,root) %config /etc/init.d/sysstat

%prep
%setup -q
%patch0 -p1 

%build
  make CFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man8}
  mkdir -p $RPM_BUILD_ROOT/%{_bindir}
  mkdir -p $RPM_BUILD_ROOT/etc/init.d
  mkdir -p -m 0750 $RPM_BUILD_ROOT/var/log/sa
  mkdir -p -m 0750 $RPM_BUILD_ROOT/%{_usr}/lib/sa
  mkdir -p -m 0750 $RPM_BUILD_ROOT/etc/cron.daily
  mkdir -p -m 0750 $RPM_BUILD_ROOT/etc/cron.hourly

  install -s -m 750 iostat $RPM_BUILD_ROOT/usr/bin
  install -s -m 750 mpstat $RPM_BUILD_ROOT/usr/bin
  install -s -m 750 sar $RPM_BUILD_ROOT/usr/bin
  install -m 700 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/sysstat
  install -m 750 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/sysstat
  install -m 750 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.hourly/sysstat
  install -s -m 750 sadc $RPM_BUILD_ROOT/%{_usr}/lib/sa
  install -m 644 crontab $RPM_BUILD_ROOT%{_libdir}/sa/crontab.sa
  install -m 750 sa1 $RPM_BUILD_ROOT/%{_libdir}/sa
  install -m 750 sa2 $RPM_BUILD_ROOT/%{_libdir}/sa
  install -m 644 -g root man/iostat.1 $RPM_BUILD_ROOT/%{_mandir}/man1
  install -m 644 -g root man/sar.1 $RPM_BUILD_ROOT/%{_mandir}/man1
  install -m 644 -g root man/mpstat.1 $RPM_BUILD_ROOT/%{_mandir}/man1
  install -m 644 -g root man/sadc.8 $RPM_BUILD_ROOT/%{_mandir}/man8
  install -m 644 -g root man/sa1.8 $RPM_BUILD_ROOT/%{_mandir}/man8
  install -m 644 -g root man/sa2.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%preun
  if [ "$1" = 0 ]; then
    rm -f /var/log/sa/*
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon May 13 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0.5, Release 1.2.1
  - Upgrade to version 4.0.5.
  - Ryan-ize spec, kill unused portions, fix $RPM_SOURCE_DIR usage.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.3.4, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 29 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.3.4, Release 1.0.12
  - Updated initscript (added as Source3).

* Mon Feb 05 2001 Pete O'Hara <pete@guardiandigital.com>
- upgraded to sysstat-3.3.4
- removed /etc/crontab entries and put in cron.daily
	and cron.hourly

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- changed the crontab sa entries off by default but 
	left the commented lines in /etc/crontab
	for ease of turning back on

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 /etc/init.d/sysstat
* Sat Dec 02 2000 Pete O'Hara <pete@guardiandigital.com>
- changed owner of /var/log/sa to root,admin

* Sat Nov 18 2000 Dave Wreski <dave@guardiandigital.com>
- permission changes
- add RH patch
- remove logs after uninstall
- copy crontab.sa to /etc/cron.d

* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes
- upgraded to 3.3.1
- added missing mpstat
- added missing crontab sample

* Tue Aug 01 2000 Pete O'Hara <pete@guardiandigital.com>
- modified spec to deal with compressed man page files
- removed world access to /var/log/sa, iostat, sar for
	Guardian Digital Linux Lockbox
